aboutsummaryrefslogtreecommitdiffstats
path: root/templates/diddle/usr_local_bin_diddle
diff options
context:
space:
mode:
Diffstat (limited to 'templates/diddle/usr_local_bin_diddle')
-rw-r--r--templates/diddle/usr_local_bin_diddle17
1 files changed, 17 insertions, 0 deletions
diff --git a/templates/diddle/usr_local_bin_diddle b/templates/diddle/usr_local_bin_diddle
new file mode 100644
index 0000000..d07cd5e
--- /dev/null
+++ b/templates/diddle/usr_local_bin_diddle
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -eux
+
+PATH=$PATH:/usr/local/bin
+
+cd /root/diddle
+
+if [ ! -f venv ]; then
+ python3.11 -m venv venv
+fi
+
+PATH=$PATH:/root/diddle/venv/bin
+
+pip install -r requirements.txt
+python apply_migrations.py
+gunicorn --bind "0.0.0.0:80" -w 4 app:app